#include "U8glib.h" // includes the library to run the OLED, plug the OLED into I2C

const int pirPin = 2; // set the pir to pin D2

void setup()
{
  Serial.begin(9600);   // start the serial mointor
  pinMode(pirPin, INPUT);   // initialize the pushbutton pin as an input
}

U8GLIB_SSD1306_128X64 u8g(U8G_I2C_OPT_NONE);  // HW SPI Com: CS = 10, A0 = 9 (Hardware Pins are  SCK = 13 and MOSI = 11)

void drawSetup(void)
{
  u8g.setFont(u8g_font_6x13);
  u8g.drawStr(0, 8, "Motion detection:");
  u8g.setFont(u8g_font_6x13);
  u8g.drawStr(0, 20, "     ACTIVATED");
  u8g.setFont(u8g_font_6x13);
  u8g.drawStr(0, 36, "Microchip & Supplyframe");
  u8g.setFont(u8g_font_6x13);
  //u8g.setFont(u8g_font_gdr25r);
  u8g.drawStr(0, 56, "Pasadena, California");
}

void drawMotion(void)
{
  u8g.setFont(u8g_font_6x13);
  u8g.drawStr(0, 36, "ALERT! Intruder!");
}

void loop()
{
  if (motionDetected()) //  if motionDetected function is true
  {
    Serial.println("motion detected");
    // picture loop
    u8g.firstPage();
    do {
      drawMotion();
      u8g.setColorIndex(1);
    } while ( u8g.nextPage() );
  }
  else {
    Serial.println("no motion");

    // picture loop
    u8g.firstPage();
    do {
      drawSetup();
      u8g.setColorIndex(1);
    } while ( u8g.nextPage() );
  }
}
/***************************************************************/
/*Function: Detect whether anyone moves in it's detecting range*/
/*Return:-boolean, true is someone detected.*/
boolean motionDetected()
{
  int sensorValue = digitalRead(pirPin);
  if (sensorValue == HIGH) //if the sensor value is HIGH?
  {
    return true;//yes,return true
  }
  else
  {
    return false;//no,return false
  }
}
